org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfLeader

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfLeader

    public class RtfLeader
    extends RtfContainer

Generates the leader in RTF.

### Field Summary

Fields
`static String` `LEADER_DOTTED` Dotted underline
`static String` `LEADER_EQUAL` Double underline
`static String` `LEADER_EXPAND` Negative expansion
`static String` `LEADER_HYPHENS` Heavy wave underline
`static String` `LEADER_IGNORE_STYLE` Resets to default properties
`static String` `LEADER_MIDDLEDOTTED` Dashed underline
`static String` `LEADER_PATTERN_WIDTH` Expansion or compression of the space between characters in twips
`static String` `LEADER_RULE_THICKNESS` Font size determines rule thickness
`static int` `LEADER_STANDARD_WIDTH` Standard leader width
`static String` `LEADER_TAB_DOTTED` Leader dots
`static String` `LEADER_TAB_EQUAL` Leader equal sign
`static String` `LEADER_TAB_HYPHENS` Leader hyphens
`static String` `LEADER_TAB_MIDDLEDOTTED` Leader middle dots
`static String` `LEADER_TAB_RIGHT` Right-aligned tab
`static String` `LEADER_TAB_THICK` Leader thick line
`static String` `LEADER_TAB_UNDERLINE` Leader underline
`static String` `LEADER_TAB_VALUE` Tab
`static String` `LEADER_TAB_WIDTH` Tab width
`static String` `LEADER_TABLEAD` Private attribute: tab style
`static String` `LEADER_THICK` Thick underline
`static String` `LEADER_UNDERLINE` Dash-dot-dotted underline
`static String` `LEADER_UP` Move up 4 half-points
`static String` `LEADER_USETAB` Private attribute: tab usage indicator
`static String` `LEADER_WIDTH` Private attribute: leader width
`static String` `LEADER_ZERO_WIDTH` Zero-width break opportunity

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`attrib, parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`protected void` `writeRtfContent()` write RTF code of all our children

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

`addChild, findChildren, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString`

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LEADER_TABLEAD

    public static final String LEADER_TABLEAD

Private attribute: tab style

See Also:
  Constant Field Values

#### LEADER_USETAB

    public static final String LEADER_USETAB

Private attribute: tab usage indicator

See Also:
  Constant Field Values

#### LEADER_WIDTH

    public static final String LEADER_WIDTH

Private attribute: leader width

See Also:
  Constant Field Values

#### LEADER_DOTTED

    public static final String LEADER_DOTTED

Dotted underline

See Also:
  Constant Field Values

#### LEADER_MIDDLEDOTTED

    public static final String LEADER_MIDDLEDOTTED

Dashed underline

See Also:
  Constant Field Values

#### LEADER_HYPHENS

    public static final String LEADER_HYPHENS

Heavy wave underline

See Also:
  Constant Field Values

#### LEADER_UNDERLINE

    public static final String LEADER_UNDERLINE

Dash-dot-dotted underline

See Also:
  Constant Field Values

#### LEADER_EQUAL

    public static final String LEADER_EQUAL

Double underline

See Also:
  Constant Field Values

#### LEADER_THICK

    public static final String LEADER_THICK

Thick underline

See Also:
  Constant Field Values

#### LEADER_TAB_DOTTED

    public static final String LEADER_TAB_DOTTED

Leader dots

See Also:
  Constant Field Values

#### LEADER_TAB_MIDDLEDOTTED

    public static final String LEADER_TAB_MIDDLEDOTTED

Leader middle dots

See Also:
  Constant Field Values

#### LEADER_TAB_HYPHENS

    public static final String LEADER_TAB_HYPHENS

Leader hyphens

See Also:
  Constant Field Values

#### LEADER_TAB_UNDERLINE

    public static final String LEADER_TAB_UNDERLINE

Leader underline

See Also:
  Constant Field Values

#### LEADER_TAB_EQUAL

    public static final String LEADER_TAB_EQUAL

Leader equal sign

See Also:
  Constant Field Values

#### LEADER_TAB_THICK

    public static final String LEADER_TAB_THICK

Leader thick line

See Also:
  Constant Field Values

#### LEADER_IGNORE_STYLE

    public static final String LEADER_IGNORE_STYLE

Resets to default properties

See Also:
  Constant Field Values

#### LEADER_RULE_THICKNESS

    public static final String LEADER_RULE_THICKNESS

Font size determines rule thickness

See Also:
  Constant Field Values

#### LEADER_PATTERN_WIDTH

    public static final String LEADER_PATTERN_WIDTH

Expansion or compression of the space between characters in twips

See Also:
  Constant Field Values

#### LEADER_ZERO_WIDTH

    public static final String LEADER_ZERO_WIDTH

Zero-width break opportunity

See Also:
  Constant Field Values

#### LEADER_STANDARD_WIDTH

    public static final int LEADER_STANDARD_WIDTH

Standard leader width

See Also:
  Constant Field Values

#### LEADER_UP

    public static final String LEADER_UP

Move up 4 half-points

See Also:
  Constant Field Values

#### LEADER_EXPAND

    public static final String LEADER_EXPAND

Negative expansion

See Also:
  Constant Field Values

#### LEADER_TAB_VALUE

    public static final String LEADER_TAB_VALUE

Tab

See Also:
  Constant Field Values

#### LEADER_TAB_RIGHT

    public static final String LEADER_TAB_RIGHT

Right-aligned tab

See Also:
  Constant Field Values

#### LEADER_TAB_WIDTH

    public static final String LEADER_TAB_WIDTH

Tab width

See Also:
  Constant Field Values

### Method Detail

#### writeRtfContent

    protected void writeRtfContent()
                            throws IOException

write RTF code of all our children

Overrides:
  `writeRtfContent` in class `RtfContainer`
Throws:
  `IOException` - for I/O problems

#### isEmpty

    public boolean isEmpty()

Overrides:
  `isEmpty` in class `RtfContainer`
Returns:
  true if this element would generate no "useful" RTF content, i.e. (for RtfContainer) true if it has no children where isEmpty() is false